import { env } from "$env/dynamic/private";
import { AriseIdConnect } from "@arise/aidc-sveltekit";
import { adapter } from "@arise/aidc-sveltekit/adapters/sqlite-memory-drizzle.js";

export const aidc = await AriseIdConnect.init({
  client_id: env.AIDC_CLIENT_ID!,
  client_secret: env.AIDC_CLIENT_SECRET!,
  scope: "openid offline profile",
  adapter,
  // issuer: "http://localhost:4444/.well-known/openid-configuration"
});

adapter.initDatabase();
